diff -Naur a/configure.ac b/configure.ac
--- a/configure.ac	2015-01-02 16:27:05.093088172 +0000
+++ b/configure.ac	2015-01-02 16:29:58.563094214 +0000
@@ -75,6 +75,7 @@
 AC_CHECK_HEADERS([libgen.h])
 AC_CHECK_HEADERS([machine/apmvar.h])
 AC_CHECK_HEADERS([machine/apm_bios.h])
+AC_CHECK_HEADERS([execinfo.h])
 
 # Checks for typedefs, structures, and compiler characteristics.
 AC_CHECK_HEADER_STDBOOL
diff -Naur a/src/acpustatus.cc b/src/acpustatus.cc
--- a/src/acpustatus.cc	2014-09-01 10:21:57.000000000 +0000
+++ b/src/acpustatus.cc	2015-01-02 16:28:35.738091329 +0000
@@ -25,17 +25,12 @@
 #include "sysdep.h"
 #include "default.h"
 
-#if defined(linux)
-//#include <linux/kernel.h>
-#include <sys/sysinfo.h>
-#endif
 #if defined(sun) && defined(SVR4)
 #include <sys/loadavg.h>
 #endif
 #ifdef HAVE_KSTAT_H
 #include <sys/resource.h>
 #include <kstat.h>
-#include <sys/sysinfo.h>
 #endif
 
 #ifdef HAVE_SYS_PARAM_H
@@ -56,6 +51,10 @@
 #include <dirent.h>
 #include "intl.h"
 
+#if defined(linux) || defined(HAVE_KSTAT_H)
+#include <sys/sysinfo.h>
+#endif
+
 #if (defined(linux) || defined(HAVE_KSTAT_H)) || defined(HAVE_SYSCTL_CP_TIME)
 
 extern ref<YPixmap> taskbackPixmap;
diff -Naur a/src/misc.cc b/src/misc.cc
--- a/src/misc.cc	2014-09-01 10:21:57.000000000 +0000
+++ b/src/misc.cc	2015-01-02 16:31:00.722096379 +0000
@@ -15,7 +15,7 @@
 #include <libgen.h>
 #endif
 
-#ifdef linux
+#if defined(linux) && defined(HAVE_EXECINFO_H)
 #include <execinfo.h>
 #endif
 
@@ -543,7 +543,7 @@
 }
 
 void show_backtrace() {
-#ifdef linux
+#if defined(linux) && defined(HAVE_EXECINFO_H)
     void *array[20];
 
     fprintf(stderr, "\nbacktrace:\n");
